sqlrsh(1)

NAME
sqlrsh - interactive query tool for SQL Relay

SYNOPSIS
sqlrsh host port socket user passwd [script]
sqlrsh [-config configfile] -id id [script]

DESCRIPTION
sqlrsh is an interactive query tool similar to (though not as powerful as) SQL Plus, mysql, psql, isql and the like. Run it and type help; at the prompt for detailed usage instructions. When sqlrsh starts up, it reads and executes two rc files, the system rc file (/etc/sqlrelay/sqlrshrc on Debian) and a personal rc file .sqlrshrc in your home directory. These files should contain sqlrsh commands, ending in semicolons, seperated by carraige returns. Any commands may be used in the rc files, even queries.

OPTIONS

host
    hostname of the machine running the listener daemon

port
    port number the listener daemon is listening on, for local or remote connections

socket
    socket the listener daemon is listening on, for local connections

user
    SQL Relay user name (as per config file)

passwd
    SQL Relay password (as per config file)

-config configfile
    config file to use (default /etc/sqlrelay/sqlrelay.conf)

-id id
    instance to use (as per config file)

script
    script (containing sqlrsh commands and queries) to run (default ~/.sqlrshrc)

EXAMPLES

sqlrsh "" "" /tmp/examplesocket fred secret
    Connect to the SQL Relay listener daemon running on the local machine, with socket /tmp/examplesocket, as user fred, with password secret.

sqlrsh dbsvr 9000 "" fred secret
    Connect to the SQL Relay listener daemon running on the remote machine dbsvr, on port 9000, as user fred, with password secret.

sqlrsh -id example
    Connect to the SQL Relay listener daemon for instance example (as defined in /etc/sqlrelay/sqlrelay.config).

SEE ALSO
fields(1), query(1), sqlr-cachemanager(8), sqlr-connection(8), sqlr-listener(8), sqlr-scaler(8), sqlr-start(8), sqlr-stop(8), and the documentation in /usr/share/doc/sqlrelay.

AUTHORS
This manual page was written by Andreas Tille <tille@debian.org> and Florian M. Weps <fweps@pop.agri.ch>, for the Debian GNU/Linux system (but may be used by others).